Package org.apache.sling.feature.launcher.impl.launchers

# Class FrameworkLauncher

java.lang.Object
org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher

All Implemented Interfaces:
  `Launcher`

public class FrameworkLauncher extends Object implements Launcher
Launcher directly using the OSGi launcher API.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.sling.feature.launcher.spi.Launcher

`Launcher.LauncherClassLoader`

## Constructor Summary

Constructors
Constructor
Description
`FrameworkLauncher()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getFrameworkRunnerClass()`
`void`
`prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app)`
`int`
`run(LauncherRunContext context, ClassLoader cl)`
Run the launcher

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.launcher.spi.Launcher

`createClassLoader`

## Constructor Details

### FrameworkLauncher

public FrameworkLauncher()

## Method Details

### prepare

public void prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app) throws Exception

Specified by:
  `prepare` in interface `Launcher`
Throws:
  `Exception`

### run

public int run(LauncherRunContext context, ClassLoader cl) throws Exception
Run the launcher

Specified by:
  `run` in interface `Launcher`
Throws:
  `Exception` - If anything goes wrong

### getFrameworkRunnerClass

protected String getFrameworkRunnerClass()